Index: tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/AnnotateWTC.groovy
===================================================================
--- tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/AnnotateWTC.groovy	(revision 1612)
+++ tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/AnnotateWTC.groovy	(revision 1613)
@@ -35,8 +35,8 @@
 import org.txm.importer.*
 import org.txm.importer.cwb.*
 import org.txm.objects.*
-import org.txm.stat.utils.ConsoleProgressBar
 import org.txm.treetagger.core.preferences.TreeTaggerPreferences
+import org.txm.utils.ConsoleProgressBar
 import org.txm.utils.DeleteDir;
 import org.txm.utils.LangDetector;
 import org.txm.utils.io.IOUtils
Index: tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/Annotate.groovy
===================================================================
--- tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/Annotate.groovy	(revision 1612)
+++ tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/Annotate.groovy	(revision 1613)
@@ -38,8 +38,8 @@
 import org.txm.importer.scripts.xmltxm.AnnotationInjection
 import org.txm.importer.cwb.*
 import org.txm.objects.*
-import org.txm.stat.utils.ConsoleProgressBar;
 import org.txm.treetagger.core.preferences.TreeTaggerPreferences
+import org.txm.utils.ConsoleProgressBar
 import org.txm.utils.LangDetector;
 import org.txm.utils.io.IOUtils
 import org.txm.utils.logger.Log;
Index: tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/jpa/Dictionary.java
===================================================================
--- tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/jpa/Dictionary.java	(revision 1612)
+++ tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/jpa/Dictionary.java	(revision 1613)
@@ -31,7 +31,7 @@
 import org.eclipse.persistence.queries.Cursor;
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.DatabasePersistenceManager;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.logger.Log;
 
 /**
Index: tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/tsv/BuildBFMLex.groovy
===================================================================
--- tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/tsv/BuildBFMLex.groovy	(revision 1612)
+++ tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/tsv/BuildBFMLex.groovy	(revision 1613)
@@ -2,7 +2,7 @@
 
 import java.util.regex.Pattern;
 
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar
 
 def DEBUG = false
 
Index: tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/Dictionary.java
===================================================================
--- tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/Dictionary.java	(revision 1612)
+++ tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/Dictionary.java	(revision 1613)
@@ -30,7 +30,7 @@
 import java.util.regex.Pattern;
 
 import org.apache.commons.lang.StringUtils;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.io.IOUtils;
 
 /**
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1612)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1613)
@@ -159,7 +159,7 @@
 		}
 
 		//build binary dir path			
-		String basedirname = Zip.getRoot(zipFile);
+		String basedirname = Zip.getRoot(zipFile).toUpperCase();
 
 		File corpusdir = new File(corporaDir, basedirname);
 		Project p = Toolbox.workspace.getProject(basedirname);
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 1612)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 1613)
@@ -5,7 +5,7 @@
 import java.util.HashMap;
 
 import org.txm.core.engines.Engine;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 
 public abstract class AnnotationEngine implements Engine {
 
Index: tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/analyse/AllographsMacro.groovy
===================================================================
--- tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/analyse/AllographsMacro.groovy	(revision 1612)
+++ tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/analyse/AllographsMacro.groovy	(revision 1613)
@@ -13,7 +13,7 @@
 import org.txm.searchengine.cqp.corpus.Partition
 import org.txm.searchengine.cqp.corpus.StructuralUnit
 import org.txm.searchengine.cqp.corpus.query.Query
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 
 // BEGINNING OF PARAMETERS
 
Index: tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/analyse/AbbreviationsAndSemanticsMacro.groovy
===================================================================
--- tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/analyse/AbbreviationsAndSemanticsMacro.groovy	(revision 1612)
+++ tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/analyse/AbbreviationsAndSemanticsMacro.groovy	(revision 1613)
@@ -7,7 +7,7 @@
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.searchengine.cqp.corpus.*
 import org.txm.searchengine.cqp.corpus.query.*
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 
 if (corpusViewSelection == null) {
 	println "Il faut d'abord sélectionner un corpus dans la vue 'Corpus'. Abandon."
Index: tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/analyse/AbbreviationsAndLinesMacro.groovy
===================================================================
--- tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/analyse/AbbreviationsAndLinesMacro.groovy	(revision 1612)
+++ tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/analyse/AbbreviationsAndLinesMacro.groovy	(revision 1613)
@@ -8,7 +8,7 @@
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.searchengine.cqp.corpus.*
 import org.txm.searchengine.cqp.corpus.query.*
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 
 if (corpusViewSelection == null) {
 	println "Il faut d'abord sélectionner un corpus dans la vue 'Corpus'. Abandon."
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/OriflammsFunction.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/OriflammsFunction.java	(revision 1612)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/OriflammsFunction.java	(revision 1613)
@@ -24,7 +24,7 @@
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 
 public abstract class OriflammsFunction {
 
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 1612)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 1613)
@@ -13,7 +13,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.io.IOUtils;
 
 public class CorpusRuledConvertion {
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1612)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1613)
@@ -26,7 +26,7 @@
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.logger.Log;
 import org.txm.utils.zip.Zip;
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 1612)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 1613)
@@ -378,7 +378,6 @@
  org.txm.objects,
  org.txm.scripts.importer,
  org.txm.sql,
- org.txm.stat.utils,
  org.txm.tests,
  org.txm.ts,
  org.txm.utils,
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1612)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1613)
@@ -31,7 +31,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.objects.Project;
 import org.txm.objects.Workspace;
-import org.txm.stat.utils.LogMonitor;
+import org.txm.utils.LogMonitor;
 import org.txm.utils.io.IOUtils;
 import org.txm.utils.logger.Log;
 
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1612)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1613)
@@ -66,8 +66,8 @@
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
 import org.txm.importer.xtz.ImportKeys;
-import org.txm.stat.utils.ConsoleProgressBar;
-import org.txm.stat.utils.LogMonitor;
+import org.txm.utils.ConsoleProgressBar;
+import org.txm.utils.LogMonitor;
 import org.txm.utils.logger.Log;
 import org.txm.utils.zip.Zip;
 import org.w3c.dom.Element;
@@ -265,14 +265,14 @@
 			//		}
 
 			//FIXME if the corpus name change, the TXMResults node path become wrong
-//			if (!rcpProject.getName().equals(userName)) { // project directory and project name must stay in sync
-//				IPath destination = new Path(this.getName());
-//				if (destination.toFile().exists()) {
-//					System.out.println("Error: could not rename project since one already existing with the same new name="+this.getName());
-//					return false;
-//				}
-//				rcpProject.move(destination, true, null);
-//			}
+			//			if (!rcpProject.getName().equals(userName)) { // project directory and project name must stay in sync
+			//				IPath destination = new Path(this.getName());
+			//				if (destination.toFile().exists()) {
+			//					System.out.println("Error: could not rename project since one already existing with the same new name="+this.getName());
+			//					return false;
+			//				}
+			//				rcpProject.move(destination, true, null);
+			//			}
 
 			ImportEngines engines = Toolbox.getImportEngines();
 
@@ -473,7 +473,7 @@
 	public boolean _load(BaseOldParameters params) throws Exception {
 		params.load();
 		userName = params.name;
-		
+
 		// set the improt module name using the Loader script name
 		this.pImportModuleName = params.scriptFile;
 		if (this.pImportModuleName != null) {
@@ -488,12 +488,12 @@
 		} else {
 			this.pImportModuleName = "xtz";
 		}
-		
+
 		this.pSrcDirectory = params.paramFile.getParentFile();
 		if (pSrcDirectory == null) {
 			pSrcDirectory = new File(getProjectDirectory(), "src");
 		}
-		
+
 		File dir = new File(this.getWorkspace().getLocation(), userName);
 		File paramFile = new File(dir, "import.xml");
 		if (!paramFile.exists()) return false;
@@ -640,7 +640,7 @@
 		} catch (BackingStoreException e) {
 			Log.printStackTrace(e);
 		}
-		
+
 		return new ArrayList<String>();
 	}
 
@@ -835,7 +835,7 @@
 		if (this.pSrcDirectory != null) {
 			this.saveParameter(TBXPreferences.SOURCE, pSrcDirectory.getAbsolutePath());
 		}
-		
+
 		return true;
 	}
 
@@ -1254,4 +1254,15 @@
 	public String toString() {
 		return this.userName+" "+this.rcpProject.getLocation();
 	}
+
+	public List<String> getBuiltEditionNames() {
+		ArrayList<String> availableEditions = new ArrayList<String>();
+		for (String name : this.getEditionNames()) {
+			EditionDefinition ed = this.getEditionDefinition(name);
+			if (ed.getBuildEdition()) {
+				availableEditions.add(name);
+			}
+		}
+		return availableEditions;
+	}
 }
\ No newline at end of file
Index: tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 1612)
+++ tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 1613)
@@ -679,14 +679,22 @@
 		NodeList editionsNodes = root.getElementsByTagName(EDITIONS);
 		if (editionsNodes.getLength() > 0) { // only one
 			Element editionNode = (Element) editionsNodes.item(0);
+			
+			
 			this.getProject().setDefaultEditionName(editionNode.getAttribute(DEFAULT));
+			
 			NodeList editionNodes = editionNode.getElementsByTagName(EDITION);
 			for (int i = 0 ; i < editionNodes.getLength() ; i++) {
 				Element edition = (Element)editionNodes.item(i);
 				String name = edition.getAttribute(NAME);
 				String built = edition.getAttribute("build_edition");
+				if (built == null || built.length() == 0) built = "true";
+				
 				String pbElement = edition.getAttribute("page_break_tag");
-				int wpp = Integer.parseInt(edition.getAttribute("words_per_page"));
+				int wpp = 500;
+				try {
+					wpp = Integer.parseInt(edition.getAttribute("words_per_page"));
+				} catch(Exception e) { }
 				//System.out.println("declare edition: "+name);
 				//String corpus = edition.getAttribute("corpus");
 				//				String mode = edition.getAttribute("mode");
@@ -697,12 +705,6 @@
 				ed.setPageBreakTag(pbElement);
 				ed.setWordsPerPage(wpp);
 			}
-			
-			List<String> editionNames = this.getProject().getEditionNames();
-			if (!editionNames.contains(this.getProject().getDefaultEdition()) 
-					&& editionNames.size() > 0) {
-				this.getProject().setDefaultEditionName(editionNames.get(0));
-			}
 		}
 
 		// Text biblio
@@ -879,4 +881,4 @@
 	protected void setID(String id) {
 		this.pID = id;
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1612)
+++ tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1613)
@@ -53,8 +53,8 @@
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
-import org.txm.stat.utils.LogMonitor;
 import org.txm.utils.DeleteDir;
+import org.txm.utils.LogMonitor;
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.logger.Log;
 import org.txm.utils.xml.DomUtils;
Index: tmp/org.txm.core/src/java/org/txm/utils/ConsoleProgressBar.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/utils/ConsoleProgressBar.java	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/utils/ConsoleProgressBar.java	(revision 1613)
@@ -0,0 +1,122 @@
+package org.txm.utils;
+import org.eclipse.core.runtime.IProgressMonitor;
+
+public class ConsoleProgressBar implements IProgressMonitor {
+	static int LINE_PROGRESS = 10; // number of tick to draw a line
+	static int TOTAL_PROGRESS = 100;
+	
+	double progress = 0.0d;
+	double progress_per_tick = 1.0d;
+	int point_progress = 0;
+	boolean done = false;
+	String mode = "%%% ";
+	public ConsoleProgressBar(long amount) {
+		start(amount);
+	}
+	
+	public void start(long amount) {
+		progress = 0.0d;
+		point_progress = 0;
+		done = false;
+		progress_per_tick = 100f / amount;
+		
+		if (amount <= 100L) {
+			mode = String.format("%03d ", amount);
+			progress_per_tick = 1;
+		}
+	}
+	
+	public void tick() {
+		if (done) return;
+		if (progress == 0.0d) System.out.print(mode);
+		
+		progress += progress_per_tick;
+		while (progress > point_progress) {
+			point_progress++;
+			if (point_progress%LINE_PROGRESS == 0) System.out.print("|");
+			else System.out.print(".");
+			
+			if (point_progress == TOTAL_PROGRESS) {
+				done = true;
+				System.out.println("");
+			}
+		}
+	}
+	
+	public static void main(String[] args) {
+		int[] amounts = {10,50,150,155,15000,150000};
+		for (int amount : amounts) {
+			System.out.println(""+amount+" ticks");
+			ConsoleProgressBar cpb = new ConsoleProgressBar(amount);
+			for (int i = 0 ; i < amount ; i++) cpb.tick();
+			System.out.println();
+		}
+	}
+
+	public void worked(int amount, String message) {
+		this.tick();
+		System.out.println(message);
+		
+	}
+
+	public void setMessage(String message) {
+		System.out.println(message);
+	}
+
+	@Override
+	public boolean isCanceled() {
+		return false;
+	}
+
+	@Override
+	public void done() {
+		done = true;
+		System.out.println("");
+	}
+
+	@Override
+	public void worked(int step) {
+		for (int i = 0 ; i < step ; i++) tick();
+	}
+	
+	public void worked() {
+		tick();
+	}
+
+	public void acquireSemaphore() {
+		
+	}
+
+	public boolean tryAcquireSemaphore() {
+		return false;
+	}
+
+	public void releaseSemaphore() { }
+
+	@Override
+	public void beginTask(String name, int l) {
+		System.out.println("Begining "+name);
+		this.start(l);
+	}
+
+	@Override
+	public void subTask(String name) {
+		System.out.println("[ "+name+"]");
+	}
+
+	@Override
+	public void internalWorked(double work) {
+		// TODO Auto-generated method stub
+		
+	}
+
+	@Override
+	public void setCanceled(boolean value) {
+		if (value) done();
+	}
+
+	@Override
+	public void setTaskName(String name) {
+		// nothing to show
+	}
+}
\ No newline at end of file

Index: tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java	(revision 1612)
+++ tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java	(revision 1613)
@@ -72,7 +72,7 @@
 import net.sf.saxon.TransformerFactoryImpl;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.Diff;
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.io.IOUtils;
Index: tmp/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java	(revision 1612)
+++ tmp/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java	(revision 1613)
@@ -15,8 +15,8 @@
 import org.txm.core.results.TXMResult;
 import org.txm.objects.CorpusBuild;
 import org.txm.objects.Project;
-import org.txm.stat.utils.LogMonitor;
 import org.txm.utils.DeleteDir;
+import org.txm.utils.LogMonitor;
 import org.txm.utils.logger.Log;
 import org.txm.utils.xml.DomUtils;
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 1612)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 1613)
@@ -41,7 +41,7 @@
 import org.txm.libs.cqp.CQPLibPreferences;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
 import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.OSDetector;
 import org.txm.utils.io.IOUtils;
 
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1612)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1613)
@@ -68,8 +68,8 @@
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
-import org.txm.stat.utils.ConsoleProgressBar;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
+import org.txm.utils.ConsoleProgressBar;
 //import org.txm.functions.queryindex.*;
 import org.txm.utils.logger.Log;
 
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java	(revision 1612)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java	(revision 1613)
@@ -31,7 +31,7 @@
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.io.IOUtils;
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java	(revision 1612)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java	(revision 1613)
@@ -29,7 +29,7 @@
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.io.IOUtils;
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 1612)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 1613)
@@ -2,7 +2,7 @@
 
 import org.txm.core.engines.Engine;
 import org.txm.objects.CorpusBuild;
-import org.txm.stat.utils.LogMonitor;
+import org.txm.utils.LogMonitor;
 
 // FIXME: useless class
 public abstract class SearchEngine implements Engine {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/importer/XTZImporterMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/importer/XTZImporterMacro.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/importer/XTZImporterMacro.groovy	(revision 1613)
@@ -312,9 +312,10 @@
 Collections.sort(filelist);
 def second = 0
 
-println "Paginating texts: "+filelist
+println "Paginating "+filelist.size()+" texts"
+ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 for (File txmFile : filelist) {
-	print "."
+	cpb.tick()
 	String txtname = txmFile.getName();
 	int i = txtname.lastIndexOf(".");
 	if(i > 0) txtname = txtname.substring(0, i);
@@ -333,6 +334,7 @@
 		params.addPage(edition, ""+(++i), wordid);
 	}
 }
+cpb.done()
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivaLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivaLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivaLoader.groovy	(revision 1613)
@@ -34,6 +34,7 @@
 import org.txm.scripts.importer.xml.importer;
 import org.txm.scripts.importer.xml.compiler;
 import org.txm.scripts.importer.xml.pager;
+import org.txm.utils.ConsoleProgressBar
 import org.txm.objects.*;
 import org.txm.utils.*
 import org.txm.utils.io.*;
@@ -249,10 +250,10 @@
 	Collections.sort(filelist);
 	def second = 0
 
-	println "Paginating texts: "
-
+	println "Paginating "+filelist.size()+" texts"
+	ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 	for (File txmFile : filelist) {
-		print "."
+		cpb.tick()
 		String txtname = txmFile.getName();
 		int i = txtname.lastIndexOf(".");
 		if(i > 0) txtname = txtname.substring(0, i);
@@ -277,6 +278,7 @@
 			edition.addPage(""+(++i), wordid);
 		}
 	}
+	cpb.done()
 }
 
 if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivamailLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivamailLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivamailLoader.groovy	(revision 1613)
@@ -123,9 +123,10 @@
 Collections.sort(filelist);
 def second = 0
 
-println "Paginating texts: "
+println "Paginating "+filelist.size()+" texts"
+ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 for (File txmFile : filelist) {
-	print "."
+	cpb.tick()
 	String txtname = txmFile.getName();
 	int i = txtname.lastIndexOf(".");
 	if(i > 0) txtname = txtname.substring(0, i);
@@ -148,6 +149,7 @@
 		edition.addPage(""+(++i), wordid);
 	}
 }
+cpb.done()
 
 if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
 	
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/limsi/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/limsi/importer.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/limsi/importer.groovy	(revision 1613)
@@ -37,7 +37,7 @@
 
 import org.txm.utils.logger.Log;
 import org.txm.importer.scripts.xmltxm.*;
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 
 import java.io.BufferedWriter;
 import java.io.File;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/limsi/limsiLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/limsi/limsiLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/limsi/limsiLoader.groovy	(revision 1613)
@@ -51,7 +51,7 @@
 import java.io.File;
 
 import org.txm.importer.scripts.xmltxm.*;
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 import org.txm.*;
 import org.txm.core.engines.*;
 import org.txm.objects.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/limsi/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/limsi/compiler.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/limsi/compiler.groovy	(revision 1613)
@@ -34,7 +34,7 @@
 import org.txm.scripts.importer.*;
 import org.txm.scripts.*;
 import org.txm.importer.scripts.xmltxm.*;
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.treetagger.TreeTagger;
 import java.util.ArrayList;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/transcriberLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/transcriberLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/transcriberLoader.groovy	(revision 1613)
@@ -259,9 +259,10 @@
 		Collections.sort(filelist);
 		def second = 0
 
-		println "Paginating texts: "
+		println "Paginating "+filelist.size()+" texts"
+		ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 		for (File txmFile : filelist) {
-			print "."
+			cpb.tick()
 			String txtname = txmFile.getName();
 			int i = txtname.lastIndexOf(".");
 			if(i > 0) txtname = txtname.substring(0, i);
@@ -284,7 +285,8 @@
 				if (i < ed.getIdx().size()) wordid = ed.getIdx().get(i);
 				edition.addPage(""+(++i), wordid);
 			}
-		}
+		}
+		cpb.done()
 
 		//copy transcriber.css
 		File cssfile = new File(Toolbox.getTxmHomePath(), "css/transcriber.css")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/txtLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/txtLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/txtLoader.groovy	(revision 1613)
@@ -165,10 +165,10 @@
 	Collections.sort(filelist);
 	def second = 0
 
-	println "Paginating texts: "
-	
+	println "Paginating "+filelist.size()+" texts"
+	ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 	for (File srcfile : filelist) {
-		print "."
+		cpb.tick()
 		String txtname = srcfile.getName();
 		int i = txtname.lastIndexOf(".");
 		if (i > 0) txtname = txtname.substring(0, i);
@@ -192,6 +192,7 @@
 			edition.addPage(""+(++i), wordid);
 		}
 	}
+	cpb.done()
 }
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/compiler.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/compiler.groovy	(revision 1613)
@@ -35,6 +35,7 @@
 import org.txm.scripts.*;
 import org.txm.importer.scripts.xmltxm.*;
 import org.txm.objects.*
+import org.txm.utils.*
 import org.txm.utils.treetagger.TreeTagger;
 import org.txm.searchengine.cqp.corpus.*
 import javax.xml.stream.*;
@@ -213,8 +214,9 @@
 		cqpFile.delete()
 		ArrayList<File> files = txmDir.listFiles();
 		Collections.sort(files);
+		ConsoleProgressBar cpb = new ConsoleProgressBar(files.size())
 		for (File txmfile : files) {
-			print "."
+			cpb.tick()
 			cqpbuilder = new XMLTXM2CQP(txmfile.toURI().toURL());
 			String txtname = txmfile.getName().substring(0,txmfile.getName().length()-4);
 			cqpbuilder.setTextInfo(txtname, this.base, project.getName());
@@ -226,7 +228,8 @@
 				println("Failed to compile "+txmfile)
 			}
 		}
-		println ""
+		cpb.done()
+
 		
 		//end corpus
 		if (createOutput(cqpFile)) {
